<div class="container">
    <div class="form-container">
        <form [formGroup]="form" class="form" (ngSubmit)="saveProduct()">
            <h2>Add new product</h2>
            <formly-form [form]="form" 
                        [fields]="fields" 
                        [options]="options"
                        class="formly">
            </formly-form>

            <button type="submit" 
                    mat-raised-button 
                    color="primary"
                    class="button"
                    [disabled]="form.invalid">
                    Save product
            </button>
        </form>
    </div>
</div>